/*
 * milo/vmlinux.c
 *
 * Just a little dummy kernel used for some tests in the beginning.
 * Actually obsolete, but might be useful to start working on new
 * targets.
 */

#include <linux/tty.h>
#include <asm/bootinfo.h>
#include <stand/console.h>

#include <asm/mipsregs.h>

static char temp[1024];

/*
 * Milo initializes the following two structs, so they have to
 * be in the .code or .data section.
 */
struct screen_info screen_info = SCREEN_INFO;
struct bootinfo boot_info = BOOT_INFO;


void kernel_entry(void)
{
  /*
   * put anything you might want to test here
   */
  int i;

  init_console();

  for (i=0; i<100; i++)
    {
      sprintf(temp,"Hello World! [%d]\n",i);
      print_string(temp);
    }
  print_string("Bye-bye World!\n");
  while (1);

}
